PDA

View Full Version : Error to create database


phoenix
05-05-2004, 12:13 AM
Hello, I have problems to install phpdig.

When I create new database a error appear

Can't create database.
Verify user's rights.

but I don't understand, I write the good user and password.

Anyone has a solution?

Thanks

phoenix
05-05-2004, 12:19 AM
It's Ok

roger
05-17-2004, 07:03 PM
Hi. I have the same problem, how did you resolve yours?

Roger:bang:

vinyl-junkie
05-17-2004, 07:37 PM
Originally posted by roger
Hi. I have the same problem, how did you resolve yours?

Roger:bang: Welcome to the forum, Roger! :D

Are you getting an error when using the install.php script? If so, you might try creating your database manually. I'm assuming your web host has something like phpMyAdmin to do that. Then just create the tables using the init_db.sql file.

Hope this helps. :)

roger
05-17-2004, 10:03 PM
Thanks. I got around the problem by installing via my cpanel as an addon. I didn't want to do that as it is version 1.6 rather than the 1.8 available.

There was a problem in unlocking a site on my first atempt as the update link didn't work. Then I noticed there was no update.php in my admin folder. -- so I copied it from my unzipped 1,8 version on my laptop and ftp'd it to the 1.6 version on my remote server.

So far so good but I still can't unlock site when they crash unless I go into the databse and change the sites/unlocked value to 0.

So a) I've given up on a manual instal of 1.8 can I update it?
b) How can I get the unlock link to work?

c)Thanks for your prompt reply

you're an :angel:

roger
05-18-2004, 09:12 AM
Welcome to the forum, Roger!

Are you getting an error when using the install.php script? If so, you might try creating your database manually. I'm assuming your web host has something like phpMyAdmin to do that. Then just create the tables using the init_db.sql file.

Hope this helps.

Sorry! I thought I'd answered this post but I've been up for 36 hours and it's begining to show.

First I tried an add-on(V1.6) install via my cpanel all went easy until the spider crashed when I stopped it and couldn't > Update >Unlock. I couldn't evn get the Update link to work as I found there was no update.php page in my admin folder.

Then I found (1.8) on your site but couldn't install so I went back and reinstalled 1.6 and all is Ok. I had to copy update.php from V1.8 on my local machine to the V1.6 on my remote server.

Thanks for the welcome, you're a doll

roger
05-19-2004, 02:12 AM
Sorry I didn't seem to answer this as :- I invloved myself with the same/similar problen via three different forums/topics. I resolved the matter via an automatic add-on via my webhost cpanel but it's only Verdsion 1.6 which didn't have the update.php file so I got that from a Version 1.8 and ftp'd it. A bit messy but I'm up and running.

Thanks again